For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTClassify File (Sync)
      • POSTClassify File (Async)
      • GETGet Classify Run
      • POSTCancel Classify Run
      • DELDelete Classify Run
      • GETList Classify Runs
      • POSTCreate Classifier
      • GETGet Classifier
      • POSTUpdate Classifier
      • GETList Classifiers
      • POSTCreate Classifier Version
      • GETGet Classifier Version
      • GETList Classifier Versions
  • Webhook Events
LogoLogo
EndpointsClassify

List Classifier Versions

GET
/classifiers/:classifierId/versions
GET
/classifiers/:classifierId/versions
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.classifierVersions.list("classifier_id_here", {
5 nextPageToken: "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
6});
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "classifier_version",
6 "id": "clv_xK9mLPqRtN3vS8wF5hB2cQ",
7 "description": "Added new document types for Q4 processing",
8 "version": "draft",
9 "classifierId": "cl_Xj8mK2pL9nR4vT7qY5wZ",
10 "createdAt": "2024-03-21T16:45:00Z"
11 }
12 ],
13 "nextPageToken": "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
14}
This endpoint allows you to fetch all versions of a given classifier, including the current `draft` version. Versions are returned in descending order of creation (newest first) with the `draft` version first. The `draft` version is the latest unpublished version of the classifier, which can be published to create a new version. It might not have any changes from the last published version.
Was this page helpful?
Previous

Split File (Sync)

Next
Built with

This endpoint allows you to fetch all versions of a given classifier, including the current draft version.

Versions are returned in descending order of creation (newest first) with the draft version first. The draft version is the latest unpublished version of the classifier, which can be published to create a new version. It might not have any changes from the last published version.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

classifierIdstringRequired

The ID of the classifier.

Example: "cl_Xj8mK2pL9nR4vT7qY5wZ"

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Query parameters

sortDirenumOptionalDefaults to desc
Sort in ascending or descending order. Ascending order means the earliest result is returned first.
Allowed values:
nextPageTokenstringOptional

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

maxPageSizeintegerOptional1-1000Defaults to 10
The maximum number of results to return in the response. You may receive less than this number if there are fewer results than the maximum.

Response

Successfully retrieved classifier versions
objectenum
Allowed values:
datalist of objects
nextPageTokenstring

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.